Commit Graph

614 Commits

Author SHA1 Message Date
Richard Heyes
d3c0d67060 * Added registerShutdownFunc() method 2002-04-06 17:01:14 +00:00
Tomas V.V.Cox
02bff6ce0e Fix bug in pushErrorHandling() (fail under very specific circumstances) 2002-04-06 15:12:04 +00:00
Sascha Schumann
8fae36cbd1 Improve the life of external extension maintainers by
not plaguing them with "./" in absolute paths.

Requested by: Andrei, Wez
2002-04-06 13:42:40 +00:00
Stig Bakken
de1f6319ec * forgot htmlspecialchars in release notes 2002-04-06 00:58:22 +00:00
Wez Furlong
5916b203fe add mbstring headers to those for pear/pecl extensions 2002-04-05 00:16:09 +00:00
Stig Bakken
d4dfead250 * Added "-s" (soft update) option to install/upgrade. Will make installs
fail silently.
2002-04-02 09:21:48 +00:00
Stig Bakken
f8fc50b922 * add Frontend support to PEAR_Common::log() 2002-04-02 09:21:08 +00:00
Stig Bakken
dfa3b671f7 * Implemented "shell-test" command for writing shell scripts that check
whether a package is installed.  Example of use:

    if ! pear shell-test Net_Socket; then
        echo "You don't have the Net_Socket package installed!" >&2
        exit 1
    fi
2002-04-02 09:20:28 +00:00
Stig Bakken
9de06e3662 * just renaming some comments 2002-04-02 09:18:07 +00:00
Stig Bakken
7ddaefba34 * add type property telling what type of frontend this class implements 2002-04-02 09:15:51 +00:00
Stig Bakken
812d9bf3c4 * remove "exit" at the end, it causes a "false" exit code always 2002-04-02 09:10:23 +00:00
Stig Bakken
990d19aefe * comment out the php files that are not necessary for the installer
# the rest will show up as packages in /pear shortly
2002-04-02 09:09:41 +00:00
Tomas V.V.Cox
750ca4295e typo 2002-04-01 19:17:59 +00:00
Tomas V.V.Cox
b57e0609ad Added layer checks and reorganize a little the code 2002-04-01 19:16:01 +00:00
Tomas V.V.Cox
49dacbee8c - Define the PEAR constants when they are not set (be nice
with the "--wihout-pear" people who finally regrets)
- Added method getLayers()
2002-04-01 19:13:37 +00:00
Tomas V.V.Cox
6ec8fbc30e - Make "config-set" actually store the values
- Help and error messages enhance
2002-04-01 18:19:45 +00:00
Tomas V.V.Cox
827334cd2f - Added "nodeps" option to install/upgrade/uninstall
(pear install -n package.tgz)
- Finish to document the install commands
2002-04-01 17:25:42 +00:00
Tomas V.V.Cox
def4a8485d - Set some php.ini values needed by the installer
- Removed unused present_array() and heading() functions
2002-04-01 16:49:19 +00:00
Tomas V.V.Cox
7b68037886 People reported problems with flock(LOCK_SH) and fopen('w') 2002-04-01 16:10:39 +00:00
Tomas V.V.Cox
6e8268e4a4 added help 2002-04-01 15:23:46 +00:00
Tomas V.V.Cox
1924492aed Adaptation for the new help system 2002-04-01 14:35:08 +00:00
Tomas V.V.Cox
edab1197f3 Go with the help system 2002-04-01 14:32:40 +00:00
Stig Bakken
0c7f16bd96 * typo 2002-04-01 14:15:30 +00:00
Tomas V.V.Cox
460eb1103c E_ALL fix 2002-03-31 19:04:53 +00:00
Tomas V.V.Cox
ed450a6c4e if (!function_exists('md5_file')) { ... 2002-03-31 19:04:26 +00:00
Stig Bakken
561ac3d54e * E_ALL fix 2002-03-31 03:16:02 +00:00
Stig Bakken
f1c803a41c * avoid object copying 2002-03-31 01:51:08 +00:00
Stig Bakken
5e13ee1428 * oops, config object was copied
* call parameters were not passed on to xmlrpc_encode_request()
2002-03-31 01:45:36 +00:00
Stig Bakken
c5d35962d2 * install PEAR/Command/Remote.php 2002-03-31 00:32:00 +00:00
Stig Bakken
69df28337b * implemented "pear list-upgrades", which will show you what releases
are available on the server (shows newer releases with the same state)
2002-03-29 02:41:28 +00:00
Stig Bakken
45878bff77 * always require PEAR/Common.php 2002-03-29 02:39:33 +00:00
Stig Bakken
f6e4eea39a * allow "any" as a preferred_state value 2002-03-29 02:38:07 +00:00
Stig Bakken
99cfda3756 * pass on xmlrpc faults as pear errors 2002-03-29 02:17:55 +00:00
Stig Bakken
adc0b5741e * fix tempfile cleanup 2002-03-29 00:05:55 +00:00
Stig Bakken
84652eeb52 * per-command fold marks 2002-03-28 23:50:45 +00:00
Stig Bakken
62bff20267 * regenerate package.xml with file checksums 2002-03-28 23:49:34 +00:00
Stig Bakken
425cb1b04e * default dep rel attribute to 'has' 2002-03-28 23:45:16 +00:00
Stig Bakken
a50c40cc24 * accept optional tmpdir arg in mkTempDir
* handle changelog releases without filelist
2002-03-28 23:44:31 +00:00
Stig Bakken
f5e745e848 * added preferred_state config keyword 2002-03-28 14:27:02 +00:00
Stig Bakken
78c020a3bb * added phpdoc
* now ready to support multiple versions of the package format
* don't parse dependencies in changelog
* fix libfile parsing
* default maintainer roles to 'lead'
* added infoFromString() method
* added xmlFromInfo() method to regenerate package.xml files
2002-03-28 14:07:33 +00:00
Stig Bakken
66d8ab4998 * added "platform" and "md5sum" attributes to <file> 2002-03-28 12:09:59 +00:00
Tomas V.V.Cox
b5f477ba00 E_ALL fixes 2002-03-26 16:31:13 +00:00
Tomas V.V.Cox
0e20c6e383 _lock() now returns PEAR Error or true for consistency 2002-03-26 16:29:53 +00:00
Stig Bakken
365505daed * move logic to _assertStateDir 2002-03-24 01:52:38 +00:00
Tomas V.V.Cox
b217ed9711 The System class was modified to always return true or false instead
of PEAR Errors. Changed then assertStateDir() to check for false.
2002-03-23 18:36:52 +00:00
Tomas V.V.Cox
757ec9ef38 Show maintainers name in package-info and show more human friendly
column table names
2002-03-23 17:55:51 +00:00
Tomas V.V.Cox
1cf543c34a Yet another break; forgotten 2002-03-23 17:46:51 +00:00
Tomas V.V.Cox
fdce319634 Oops, forgot the break; 2002-03-23 17:44:48 +00:00
Tomas V.V.Cox
8ea9125840 - Show the real dir where files would be installed (using role & config)
- Introduce column wrapping
2002-03-23 17:27:39 +00:00
Tomas V.V.Cox
f40007a1ef - Use getenv('TERM') instead of $_ENV (empty for me in 4.1.1)
- Added 'linux' as bold capable list of term types
- Pass the col by reference for making the wrap take effect in tableRow
2002-03-23 16:50:43 +00:00